import request from '@/utils/request'

// 查询衍生参数信息列表
export function listDeriveParameter(query) {
  return request({
    url: '/manage/deriveParameter/list',
    method: 'get',
    params: query
  })
}

// 查询衍生参数信息详细
export function getDeriveParameter(id) {
  return request({
    url: '/manage/deriveParameter/' + id,
    method: 'get'
  })
}

// 新增衍生参数信息
export function addDeriveParameter(data) {
  return request({
    url: '/manage/deriveParameter',
    method: 'post',
    data: data
  })
}

// 修改衍生参数信息
export function updateDeriveParameter(data) {
  return request({
    url: '/manage/deriveParameter',
    method: 'put',
    data: data
  })
}

// 删除衍生参数信息
export function delDeriveParameter(id) {
  return request({
    url: '/manage/deriveParameter/' + id,
    method: 'delete'
  })
}
